Subject: Re: bug#18971: 25.0.50; incorrect warning from byte compiler

From: Tom Tromey <[email-masked]>
Date: Mon, 29 Dec 2014 12:40:35 -0700

>> I want to be able to call byte-optimize-form and was under the
>> impression that byte-compile-close-variables was needed.  I'm doing this
>> for a project I'm working on where it is convenient to let the byte
>> compiler code macroexpand a form and do some simple optimizations on it.

Stefan> Just curious: why do you need those simple optimizations performed by
Stefan> byte-optimize-form?

I'm writing an elisp compiler and it just seemed handy.
I can probably reimplement the optimizations though.

Tom